Author Nicholas.Cole
Recipients Nicholas.Cole, cben, georg.brandl, gpolo, inigoserna, jcea, ned.deily, phep, pitrou, python-dev, r.david.murray, vstinner
Date 2012-09-03.14:36:34
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <CAAu18heqpDkXdAyNP3Wy=7szQvFuw5Y9+LzkT2Zjquk_ttTxvA@mail.gmail.com>
In-reply-to <CAMpsgwYAhCv+hjU6uRwqEuqg=m1HTfYbX5QVR6q=eDfO-H6waA@mail.gmail.com>
Content
On Mon, Sep 3, 2012 at 3:15 PM, STINNER Victor <report@bugs.python.org> wrote:
>
> STINNER Victor added the comment:
>
>> How do I check which version it was built against?
>
> On Linux, I use:
>
> $ ldd /usr/lib/python2.7/lib-dynload/_curses.so |grep curses
>         libncursesw.so.5 => /lib/i386-linux-gnu/libncursesw.so.5 (0xb76d0000)
> $ ls -l /lib/i386-linux-gnu/libncursesw.so.5
> lrwxrwxrwx 1 root root 18 nov.  18  2011
> /lib/i386-linux-gnu/libncursesw.so.5 -> libncursesw.so.5.9
>
> => version 5.9

I get Version 5.4, which seems very out of date (I'm running the
latest release of OS X) but:

nicholas$ ls -l /usr/lib/libncurses.
libncurses.5.4.dylib  libncurses.5.dylib    libncurses.dylib
NPSC:mnpyscreen nicholas$ ls -l /usr/lib/libncurses.dylib
lrwxr-xr-x  1 root  wheel  20 25 Jul 18:32 /usr/lib/libncurses.dylib
-> libncurses.5.4.dylib

nicholas$ ldd /usr/lib/python2.7/lib-dynload/_curses.so |grep curses
/usr/lib/python2.7/lib-dynload/_curses.so:
	/usr/lib/libncurses.5.4.dylib (compatibility version 5.4.0, current
version 5.4.0)

Can that possibly be right??
History
Date User Action Args
2012-09-03 14:36:35Nicholas.Colesetrecipients: + Nicholas.Cole, georg.brandl, jcea, cben, pitrou, vstinner, gpolo, ned.deily, r.david.murray, inigoserna, phep, python-dev
2012-09-03 14:36:35Nicholas.Colelinkissue14223 messages
2012-09-03 14:36:34Nicholas.Colecreate